@echo off
echo This script will reset various network settings and restart your computer.
echo Please save all your work before proceeding.
pause


:: Reset hosts file
echo Resetting hosts file...
pushd %windir%\system32\drivers\etc
attrib -h -s -r hosts
echo 127.0.0.1 localhost>HOSTS
attrib +r +h +s hosts
popd

:: Release and renew IP
echo Releasing and renewing IP...
ipconfig /release
ipconfig /renew

:: Flush DNS
echo Flushing DNS...
ipconfig /flushdns

:: Reset Winsock
echo Resetting Winsock...
netsh winsock reset all

:: Reset TCP/IP stack
echo Resetting TCP/IP stack...
netsh int ip reset all

:: Reset Windows Firewall
echo Resetting Windows Firewall...
netsh advfirewall reset

:: Reset Network adapters
echo Resetting network adapters...
netsh interface ipv4 reset
netsh interface ipv6 reset

:: Clear ARP cache
echo Clearing ARP cache...
arp -d *

:: Reset NetBIOS over TCP/IP
echo Resetting NetBIOS over TCP/IP...
nbtstat -R
nbtstat -RR

:: Reset Internet Options
echo Resetting Internet Options...
rundll32 inetcpl.cpl,ResetIEtoDefaults

:: Clear SSL state
echo Clearing SSL state...
certutil -URLCache * delete

:: Restart Network Services
echo Restarting network services...
net stop dhcp && net start dhcp
net stop dnscache && net start dnscache
net stop netprofm && net start netprofm

:: Clear network-related event logs
echo Clearing network-related event logs...
wevtutil cl System
wevtutil cl Application

:: Schedule a system restart
echo Scheduling system restart...
shutdown -r -t 60 -c "Your computer will restart in 60 seconds to complete network reset."


echo Network reset complete. Your computer will restart in 60 seconds.
echo Press any key to restart immediately, or close this window to cancel the restart.
pause > nul
shutdown -a
shutdown -r -t 0